package com.jay.monitor.data.server.job;

import org.springframework.core.Ordered;

/**
 * 默认按照天跑的任务
 *
 * @author ： liukx
 * @time ： 2019/11/5 - 16:11
 */
public class ScheduleJobServiceAdaptor implements ScheduleJobService, Ordered {

    @Override
    public int getOrder() {
        return Integer.MAX_VALUE;
    }

    @Override
    public boolean isDayInvoke() {
        return false;
    }

    @Override
    public void processDayJob() throws Exception {

    }

    @Override
    public boolean isHourInvoke() {
        return false;
    }

    @Override
    public void processHourJob() throws Exception {
        System.out.println("------------------执行啦---------------");
    }
}
